Jump to content
Toggle menu
Toggle preferences menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

Template:Expand/styles.css: Difference between revisions

Template page
// via Wikitext Extension for VSCode
Tag: Reverted
No edit summary
 
(50 intermediate revisions by the same user not shown)
Line 1: Line 1:
.expandable-container {
.expandable-container {
     background-color: var( --color-surface-1 );
     /* background-color: var( --color-surface-1 ); */
     border: 1px solid var( --border-color-base );
     /* border: 1px solid var( --border-color-base ); */
border-radius: var( --border-radius--large );
    /* border-radius: var( --border-radius--large ); */
     /* padding: 1rem;
     /* padding: 1rem;
     margin-top: 1em; */
     margin-top: 1em; */
Line 12: Line 12:


.expandable-sub-modifier {
.expandable-sub-modifier {
     border-bottom: 1px solid var( --border-color-base );
     border-bottom: 1px solid var(--border-color-base);
     padding-bottom: 0.5rem;
     padding-bottom: 0.5rem;
     margin-bottom: 0.5rem;
     margin-bottom: 0.5rem;
Line 18: Line 18:


.expandable-sub-modifier * {
.expandable-sub-modifier * {
     color: var( --color-emphasized );
     color: var(--color-emphasized);
}
}


.expandable-table .expandable-container .mw-collapsible-toggle {
.mw-collapsible-toggle {
     float: left;
     float: left;
     width: 100%;
     width: 100%;
     transition: 100ms;
     transition: 100ms;
     border-radius: var( --border-radius--large);
     border-radius: var(--border-radius-large);
     border: 0px none var( --border-color-base );
     border: 0px none var(--border-color-base);
     background-color: var( --color-surface-1 );
     background-color: var(--color-surface-1);
    height: 2.5rem;
}
}


Line 54: Line 55:
}
}


.expandable-table .expandable-container + .expandable-container {
.expandable-table .expandable-container+.expandable-container {
     border-top-left-radius: 0;
     border-top-left-radius: 0;
     border-top-right-radius: 0;
     border-top-right-radius: 0;
}
}


.expandable-table .expandable-container + .expandable-container .mw-collapsible-toggle {
.expandable-table .expandable-container+.expandable-container .mw-collapsible-toggle {
     border-top-left-radius: 0;
     border-top-left-radius: 0;
     border-top-right-radius: 0;
     border-top-right-radius: 0;
Line 65: Line 66:


.expandable-table .expandable-container:last-child {
.expandable-table .expandable-container:last-child {
     border-bottom-left-radius: var( --border-radius--large );
     border-bottom-left-radius: var(--border-radius-large);
     border-bottom-right-radius: var( --border-radius--large );
     border-bottom-right-radius: var(--border-radius-large);
     border-bottom: 1px solid var( --border-color-base );
     border-bottom: 1px solid var(--border-color-base);
}
}


.expandable-table .expandable-container:last-child .mw-collapsible-toggle {
.expandable-table .expandable-container:last-child .mw-collapsible-toggle {
     border-bottom-left-radius: var( --border-radius--large );
     border-bottom-left-radius: var(--border-radius-large);
     border-bottom-right-radius: var( --border-radius--large );
     border-bottom-right-radius: var(--border-radius-large);
}
}


Line 79: Line 80:
}
}


.expandable-table .expandable-container .mw-collapsible-toggle:hover {
.mw-collapsible-toggle:hover {
     background-color: var( --color-surface-2 );
     background-color: var(--color-surface-2);
}
}


.expandable-table .expandable-container .mw-collapsible-toggle:active {
.mw-collapsible-toggle:active {
     background-color: var( --color-surface-3 );
     background-color: var(--color-surface-3);
}
}


.expandable-table .expandable-container .mw-collapsible-toggle.mw-collapsible-toggle-expanded {
.mw-collapsible-toggle.mw-collapsible-toggle-expanded {
     border-bottom-left-radius: 0;
     border-bottom-left-radius: 0;
     border-bottom-right-radius: 0;
     border-bottom-right-radius: 0;
     border-bottom: 1px solid var( --border-color-base );
     border-bottom: 1px solid var(--border-color-base);
}
}


.expandable-table .expandable-container .mw-collapsible-toggle.mw-collapsible-toggle-expanded {
.expandable-table .expandable-container .mw-collapsible-toggle.mw-collapsible-toggle-expanded {
     border-bottom: 1px dashed var( --border-color-base );
     border-bottom: 1px dashed var(--border-color-base);
     border-bottom-left-radius: 0;
     border-bottom-left-radius: 0;
     border-bottom-right-radius: 0;
     border-bottom-right-radius: 0;
}
}


.expandable-table .expandable-container .mw-collapsible-text {
.mw-collapsible-text {
     float: left;
     float: left;
     margin: 1rem;
     margin: 1rem;
Line 107: Line 108:
     font-weight: bold;
     font-weight: bold;
     text-decoration: none !important;
     text-decoration: none !important;
     color: var( --color-primary );
     color: var(--color-primary);
    transition: 100ms;
}
 
.expandable-linked .mw-collapsible-text {
    margin-left: 2.5rem;
}
 
.expandable-sub-main {
    position: relative;
}
 
.expandable-sub-main p:first-child {
margin-top: 0;
}
 
.expandable-sub-main p:last-child {
margin-bottom: 0;
}
 
.expandable-inline-link {
    display: block;
    position: absolute;
    top: -0.25rem;
    right: -0.5rem;
    width: 2rem;
    height: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: var(--border-radius-medium);
     transition: 100ms;
     transition: 100ms;
    opacity: 0.75;
}
.expandable-inline-link a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2rem;
    height: 2rem;
}
.expandable-inline-link:hover {
    opacity: 1;
    background-color: var(--color-surface-3);
}
.expandable-inline-link:active {
    background-color: var(--color-surface-4);
}
}


.expandable-table .expandable-container .mw-collapsible-toggle-expanded .mw-collapsible-text {
.mw-collapsible-toggle-expanded .mw-collapsible-text {
     color: var( --color-emphasized );
     color: var(--color-emphasized);
     transition: 100ms;
     transition: 100ms;
}
}


.expandable-table .expandable-container .mw-collapsible-toggle-default::before {
.mw-collapsible-toggle-default::before {
     display: none;
     display: none;
}
}
.expandable-table .expandable-container .mw-collapsible-toggle-default::after {
 
.mw-collapsible-toggle-default::after {
     content: '⟩';
     content: '⟩';
     margin: 1rem;
     margin: 1rem;
Line 126: Line 176:
     float: right;
     float: right;
     font-weight: bold;
     font-weight: bold;
     color: var( --color-primary );
     color: var(--color-primary);
}
}
.expandable-table .expandable-container .mw-collapsible-toggle-default.mw-collapsible-toggle-expanded::after {
 
.mw-collapsible-toggle-default.mw-collapsible-toggle-expanded::after {
     transform: rotate(90deg);
     transform: rotate(90deg);
     transition: 100ms;
     transition: 100ms;
     margin-right: 1.5rem;
     margin-right: 1.35rem;
     color: var( --color-emphasized );
     color: var(--color-emphasized);
}
}
.expandable-table .expandable-container .mw-collapsible-toggle-default.mw-collapsible-toggle-collapsed::after {
 
.mw-collapsible-toggle-default.mw-collapsible-toggle-collapsed::after {
     transform: rotate(0deg);
     transform: rotate(0deg);
     transition: 100ms;
     transition: 100ms;
     margin-right: 1.5rem;
     margin-right: 1.35rem;
     color: var( --color-primary );
     color: var(--color-primary);
}
}


Line 178: Line 230:
} */
} */


.expandable-table .expandable-container .mw-collapsible-content {
.mw-collapsible-content {
     display: block !important;
     display: block !important;
     padding: 0;
     padding: 0;
Line 212: Line 264:
     padding-bottom: 0;
     padding-bottom: 0;
     margin-bottom: 0;
     margin-bottom: 0;
} */
/* .expandable-container .wikitable,
.expandable-container .wikitable * {
    all: revert;
    background: none;
    border: initial;
    margin: initial;
    padding: initial;
    color: inherit;
} */
} */

Latest revision as of 21:11, 5 August 2026

.expandable-container {
    /* background-color: var( --color-surface-1 ); */
    /* border: 1px solid var( --border-color-base ); */
    /* border-radius: var( --border-radius--large ); */
    /* padding: 1rem;
    margin-top: 1em; */
    padding: 0;
    margin: 0;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.expandable-sub-modifier {
    border-bottom: 1px solid var(--border-color-base);
    padding-bottom: 0.5rem;
    margin-bottom: 0.5rem;
}

.expandable-sub-modifier * {
    color: var(--color-emphasized);
}

.mw-collapsible-toggle {
    float: left;
    width: 100%;
    transition: 100ms;
    border-radius: var(--border-radius-large);
    border: 0px none var(--border-color-base);
    background-color: var(--color-surface-1);
    height: 2.5rem;
}

.expandable-table {
    padding: 0;
    margin: 0;
    margin-top: 1rem;
    margin-bottom: 1rem;
    background-color: transparent;
    border: none;
}

.expandable-table .expandable-container {
    padding: 0;
    margin: 0;
    margin-top: 0;
    margin-bottom: 0;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    border-bottom: none;
}

.expandable-table .expandable-container .mw-collapsible-toggle {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.expandable-table .expandable-container+.expandable-container {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.expandable-table .expandable-container+.expandable-container .mw-collapsible-toggle {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.expandable-table .expandable-container:last-child {
    border-bottom-left-radius: var(--border-radius-large);
    border-bottom-right-radius: var(--border-radius-large);
    border-bottom: 1px solid var(--border-color-base);
}

.expandable-table .expandable-container:last-child .mw-collapsible-toggle {
    border-bottom-left-radius: var(--border-radius-large);
    border-bottom-right-radius: var(--border-radius-large);
}

.expandable-header {
    font-weight: bold;
}

.mw-collapsible-toggle:hover {
    background-color: var(--color-surface-2);
}

.mw-collapsible-toggle:active {
    background-color: var(--color-surface-3);
}

.mw-collapsible-toggle.mw-collapsible-toggle-expanded {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    border-bottom: 1px solid var(--border-color-base);
}

.expandable-table .expandable-container .mw-collapsible-toggle.mw-collapsible-toggle-expanded {
    border-bottom: 1px dashed var(--border-color-base);
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.mw-collapsible-text {
    float: left;
    margin: 1rem;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    padding: 0;
    font-weight: bold;
    text-decoration: none !important;
    color: var(--color-primary);
    transition: 100ms;
}

.expandable-linked .mw-collapsible-text {
    margin-left: 2.5rem;
}

.expandable-sub-main {
    position: relative;
}

.expandable-sub-main p:first-child {
	margin-top: 0;
}

.expandable-sub-main p:last-child {
	margin-bottom: 0;
}

.expandable-inline-link {
    display: block;
    position: absolute;
    top: -0.25rem;
    right: -0.5rem;
    width: 2rem;
    height: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: var(--border-radius-medium);
    transition: 100ms;
    opacity: 0.75;
}

.expandable-inline-link a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2rem;
    height: 2rem;
}

.expandable-inline-link:hover {
    opacity: 1;
    background-color: var(--color-surface-3);
}

.expandable-inline-link:active {
    background-color: var(--color-surface-4);
}

.mw-collapsible-toggle-expanded .mw-collapsible-text {
    color: var(--color-emphasized);
    transition: 100ms;
}

.mw-collapsible-toggle-default::before {
    display: none;
}

.mw-collapsible-toggle-default::after {
    content: '⟩';
    margin: 1rem;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    float: right;
    font-weight: bold;
    color: var(--color-primary);
}

.mw-collapsible-toggle-default.mw-collapsible-toggle-expanded::after {
    transform: rotate(90deg);
    transition: 100ms;
    margin-right: 1.35rem;
    color: var(--color-emphasized);
}

.mw-collapsible-toggle-default.mw-collapsible-toggle-collapsed::after {
    transform: rotate(0deg);
    transition: 100ms;
    margin-right: 1.35rem;
    color: var(--color-primary);
}

/* .mw-collapsible-toggle-default::before {
    font-weight: bold;
} */

/* .mw-collapsible-toggle-default.mw-collapsible-toggle-collapsed::before {
    content: '⟩';
    margin: 1rem;
    float: right;
}

.mw-collapsible-toggle-default.mw-collapsible-toggle-expanded::before {
    content: '⟩';
    margin: 1rem;
    float: right;
} */

/* .mw-collapsible-toggle-default.mw-collapsible-toggle-collapsed {
    transform: rotate(0deg);
    transition: 100ms;
    margin-right: 1em;
}

.mw-collapsible-toggle-default.mw-collapsible-toggle-collapsed:hover {
    color: var(--color-primary);
}

.mw-collapsible-toggle-default.mw-collapsible-toggle-expanded {
    transform: rotate(90deg);
    transition: 100ms;
    margin-right: 1em;
    color: var(--color-primary);
} */

/* .mw-collapsible-text {
    display: none;
} */

.mw-collapsible-content {
    display: block !important;
    padding: 0;
}

.expandable-content-container {
    transition: 100ms;
    opacity: 1;
    padding-top: 3.25rem;
    padding-bottom: 1rem;
    padding-left: 1rem;
    padding-right: 1rem;
}

.mw-collapsed .expandable-content-container {
    transition: 100ms;
    height: 0;
    margin: 0;
    padding: 0;
    opacity: 0;
    padding-left: 1rem;
    padding-right: 1rem;
    overflow: hidden;
    content: none;
}

/* .expandable-content-container *:first-child {
    padding-top: 0;
    margin-top: 0;
}

.expandable-content-container *:last-child {
    padding-bottom: 0;
    margin-bottom: 0;
} */

/* .expandable-container .wikitable,
.expandable-container .wikitable * {
    all: revert;
    background: none;
    border: initial;
    margin: initial;
    padding: initial;
    color: inherit;
} */